unit U_GetDllForm;

interface

uses
  Windows, Messages, forms, OleCtnrs, DateUtils, SysUtils, ADODB, dxCore,
  IniFiles, ActiveX;

function GetDllForm(App: Tapplication; FormH: hwnd; FormID: integer; Language: integer; WinStyle: integer; GCode: Pchar; GName: Pchar; DataBase: Pchar; Title: PChar; Parameters1: PChar; Parameters2: PChar; Parameters3: PChar; Parameters4: PChar; Parameters5: PChar; Parameters6: PChar; Parameters7: PChar; Parameters8: PChar; Parameters9: PChar; Parameters10: PChar; DataBaseStr: PChar): hwnd; export; stdcall;

function ConnData(): Boolean;

implementation

uses
  U_DataLink, U_CPType, U_CPManage, U_CPView, U_YGXQList, U_YGXQChkList,
  U_YGXQAPList, U_ZHKHListNew, U_SYDept, U_YGYPList, U_YGYPCSList, U_YGYPFSList,
  U_YGYPSYList, U_WorkDeptFeeChkList_JKSQSH, U_YGYPSYChkList, U_YGYPZZSChkList,
  U_YGYPZZChkList, U_YGList, U_YGCXList, U_WorkDeptFeeList,
  U_WorkDeptFeeListLKSH, U_WorkDeptFeeChkList, U_KDList, U_KDChkList,
  U_KDPersonList, U_KDDeptList, U_YGYPZZSChkList_SQ, U_YGYPZZSChkList_SH,
  U_WorkDeptFeeChkList_CX, U_WorkDeptFeeList_YGXYS, U_WorkerDeptFeeInPut_XYS,
  U_WorkDeptFeeList_LKFK, U_WorkDeptFeeList_YGXYSCX, U_WorkDeptList_XJGL,
  U_GRYearPFList, U_SYDeptView_PF, U_GRYearPFList_NB, U_GRYearPFList_WB,
  U_GRYearPFList_WBPF, U_GRYearPFList_ZPF, U_YGYPZZChkList_LiZhi,
  U_YGYPZZChkList_LiZhiSH, U_YGYPZZChkList_YiJiao, U_GRYearPFList_FHDQDJ,
  U_YGYPZZChkList_YiJiaoSH, U_YGYPZZChkList_YiJiaoCX, U_WorkDeptFeeChkList_DC,
  U_GRYearPFList_YGFHDJ, U_GRYearPFList_YGXZFF, U_GRYearPFList_YGXZFFCX,
  U_WorkDeptFeeListDJ, U_YGYPZZChkList_JiaXin, U_YGYPZZChkList_JiaXinSH,
  U_YGYPZZChkList_BGYPSQ, U_YGYPZZChkList_BGYPSH, U_YGYPZZChkList_BGYPCG,
  U_YGYPZZChkList_BGYPRK, U_YGYPZZChkList_BGYPCK, U_YGYPZZChkList_BGYPKC,
  U_YGYPZZChkList_BGYPSQSS, U_YGYPZZChkList_BGYPSQCX, U_YGYPZZChkList_BGYPBMKC,
  U_YGYPZZChkList_BGYPBMRK, U_YGYPZZChkList_NXZZJL, U_YGYPZZChkList_CLDJ,
  U_YGYPZZChkList_CLSQ, U_YGYPZZChkList_CLSQSH, U_YGYPZZChkList_CLWX,
  U_YGYPZZChkList_CLWXSH, U_YGYPZZChkList_YGFJ, U_YGYPZZChkList_YGFJSH,
  U_YGYPZZChkList_CLCXJL, U_YGYPZZChkList_GBL, U_FileUp_ZZD,
  U_YGYPZZChkList_GBLYD, U_YGYPZZChkList_GWSQ, U_YGYPZZChkList_GWSQSH,
  U_YGYPZZChkList_GBLHY, U_YGYPZZChkList_GBLHYSH, U_YGYPZZChkList_HY,
  U_YGYPZZChkList_HYSQSH, U_FileUp_GSWJ, U_FileUp_GSCW, U_FileUp_GSHY,
  U_FileUp_GSHYCX, U_YGYPZZChkList_GZNDHZ, U_YGYPZZChkList_SRTX, U_FileUp_GRWJ,
  U_YGYPZZChkList_SCHB, U_YGYPZZChkList_SCHBSH, U_GRYearPFList_YGXZTJ,
  U_WorkDeptFeeListBXDJ, U_WorkDeptFeeListBXSH, U_WorkDeptFeeListFKDJ,
  U_WorkDeptFeeListHZCX, U_YGYPZZChkList_YGCX, U_YGYPZZChkList_JiaXinCX,
  U_WorkDeptFeeChkList_DGCX, U_WorkDeptList_DK, U_WorkDeptList_DKCX,
  U_WorkDeptFeeChkList_KF, U_ModulePromptList;

       /////////////////////////////////////////////////////////////////
      //         功能说明:取Dll中得窗体                              //
     //        参数说明：App>>调用应用程序；                        //
    //                 FormH>>调用窗口句柄 ；                      //
   //                 FormID>>窗口号;                             //
  //                 Language>>语言种类;                         //
 //                 WinStyle>>窗口类型；                        //
/////////////////////////////////////////////////////////////////
function GetDllForm(App: Tapplication; FormH: hwnd; FormID: integer; Language: integer; WinStyle: integer; GCode: Pchar; GName: Pchar; DataBase: Pchar; Title: PChar; Parameters1: PChar; Parameters2: PChar; Parameters3: PChar; Parameters4: PChar; Parameters5: PChar; Parameters6: PChar; Parameters7: PChar; Parameters8: PChar; Parameters9: PChar; Parameters10: PChar; DataBaseStr: PChar): hwnd;
var
  mnewHandle: hwnd;
  mstyle: TFormStyle;     // 0:子窗口; 1：普通窗口
  mstate: TWindowState;
  mborderstyle: TFormBorderStyle;
begin
  mnewHandle := 0;
  DName := PChar(GName);
  DCode := PChar(GCode);
  DdataBase := DataBase;
  DTitCaption := Title;
  DParameters1 := Parameters1;
  DParameters2 := Parameters2;
  DParameters3 := Parameters3;
  DParameters4 := Parameters4;
  DParameters5 := Parameters5;
  DParameters6 := Parameters6;
  DParameters7 := Parameters7;
  DParameters8 := Parameters8;
  DParameters9 := Parameters9;
  DParameters10 := Parameters10;

  MainApplication := App;
  DCurHandle := FormH;
  IsDelphiLanguage := Language;

  Application := TApplication(App);
  DCurHandle := 0;


   //赋值链接字符串
  SetLength(server, 255);
  SetLength(dtbase, 255);
  SetLength(user, 255);
  SetLength(pswd, 255);

  server := '106.14.113.234,7781';     //192.168.1.113
  dtbase := 'YunXiangData';
  user := 'sa';
  pswd := 'rightsoft@123';
  DConString := 'Provider=SQLOLEDB.1;Password=' + pswd + ';Persist Security Info=True;User ID=' + user + ';Initial Catalog=' + dtbase + ';Data Source=' + server;
//  DConString := DataBaseStr;
  if trim(DataBaseStr) <> '' then
    DConString := DataBaseStr;
   //DName:='ADMIN';
   //DCode:='035';
   //DParameters1:='上班';
  if not ConnData() then
  begin
    result := 0;
    exit;
  end;

   // 定义窗口类型 、状态
  if WinStyle = 0 then
  begin
    mstyle := fsMDIChild;
    mstate := wsMaximized;
    mborderstyle := bsSizeable;
  end
  else
  begin
    mstyle := fsNormal;
    mstate := wsNormal;
    mborderstyle := bsSizeable;
  end;
  /////////////////////
  //调用子模块窗口
  case FormID of
    0:  //组织机构
      begin
        if frmSYDept = nil then
        begin
          frmSYDept := TfrmSYDept.Create(application.MainForm);
          with frmSYDept do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmSYDept.BringToFront;
       //句柄
        mnewHandle := frmSYDept.Handle;

      end;

    10:  //员工打卡管理
      begin
        if FrmWorkDeptList_DK = nil then
        begin
          FrmWorkDeptList_DK := TFrmWorkDeptList_DK.Create(application.MainForm);
          with FrmWorkDeptList_DK do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          FrmWorkDeptList_DK.BringToFront;
       //句柄
        mnewHandle := FrmWorkDeptList_DK.Handle;

      end;

    11:  //员工打卡查询
      begin
        if FrmWorkDeptList_DKCX = nil then
        begin
          FrmWorkDeptList_DKCX := TFrmWorkDeptList_DKCX.Create(application.MainForm);
          with FrmWorkDeptList_DKCX do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          FrmWorkDeptList_DKCX.BringToFront;
       //句柄
        mnewHandle := FrmWorkDeptList_DKCX.Handle;

      end;

    12:  //员工档案管理
      begin
        if frmYGList = nil then
        begin
          frmYGList := TfrmYGList.Create(application.MainForm);
          with frmYGList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGList.BringToFront;
       //句柄
        mnewHandle := frmYGList.Handle;

      end;

    120:  //员工岗位调动申请
      begin
        if frmYGYPZZChkList_GWSQ = nil then
        begin
          frmYGYPZZChkList_GWSQ := TfrmYGYPZZChkList_GWSQ.Create(application.MainForm);
          with frmYGYPZZChkList_GWSQ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_GWSQ.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_GWSQ.Handle;

      end;

    121:  //员工岗位调动审核
      begin
        if frmYGYPZZChkList_GWSQSH = nil then
        begin
          frmYGYPZZChkList_GWSQSH := TfrmYGYPZZChkList_GWSQSH.Create(application.MainForm);
          with frmYGYPZZChkList_GWSQSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_GWSQSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_GWSQSH.Handle;

      end;

    13:  //员工离职
      begin
        if frmYGYPZZChkList_LiZhi = nil then
        begin
          frmYGYPZZChkList_LiZhi := TfrmYGYPZZChkList_LiZhi.Create(application.MainForm);
          with frmYGYPZZChkList_LiZhi do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_LiZhi.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_LiZhi.Handle;

      end;

    14:  //员工离职审核
      begin
        if frmYGYPZZChkList_LiZhiSH = nil then
        begin
          frmYGYPZZChkList_LiZhiSH := TfrmYGYPZZChkList_LiZhiSH.Create(application.MainForm);
          with frmYGYPZZChkList_LiZhiSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_LiZhiSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_LiZhiSH.Handle;

      end;

    140:  //员工移交清单登记
      begin
        if frmYGYPZZChkList_Yijiao = nil then
        begin
          frmYGYPZZChkList_Yijiao := TfrmYGYPZZChkList_Yijiao.Create(application.MainForm);
          with frmYGYPZZChkList_Yijiao do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_Yijiao.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_Yijiao.Handle;

      end;

    141:  //员工移交清单审核
      begin
        if frmYGYPZZChkList_YijiaoSH = nil then
        begin
          frmYGYPZZChkList_YijiaoSH := TfrmYGYPZZChkList_YijiaoSH.Create(application.MainForm);
          with frmYGYPZZChkList_YijiaoSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_YijiaoSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_YijiaoSH.Handle;

      end;

    142:  //员工移交清单查询
      begin
        if frmYGYPZZChkList_YiJiaoCX = nil then
        begin
          frmYGYPZZChkList_YiJiaoCX := TfrmYGYPZZChkList_YiJiaoCX.Create(application.MainForm);
          with frmYGYPZZChkList_YiJiaoCX do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_YiJiaoCX.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_YiJiaoCX.Handle;

      end;

    15:  //员工档案查询
      begin
        if frmYGCXList = nil then
        begin
          frmYGCXList := TfrmYGCXList.Create(application.MainForm);
          with frmYGCXList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGCXList.BringToFront;
       //句柄
        mnewHandle := frmYGCXList.Handle;

      end;

    172:  //借款申请单登记
      begin
        if frmWorkDeptFeeList_YGXYS = nil then
        begin
          frmWorkDeptFeeList_YGXYS := TfrmWorkDeptFeeList_YGXYS.Create(application.MainForm);
          with frmWorkDeptFeeList_YGXYS do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeList_YGXYS.BringToFront;
       //句柄
        mnewHandle := frmWorkDeptFeeList_YGXYS.Handle;
      end;

    173:  //借款申请单审核
      begin
        if frmWorkDeptFeeChkList_JKSQSH = nil then
        begin
          frmWorkDeptFeeChkList_JKSQSH := TfrmWorkDeptFeeChkList_JKSQSH.Create(application.MainForm);
          with frmWorkDeptFeeChkList_JKSQSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeChkList_JKSQSH.BringToFront;
       //句柄
        mnewHandle := frmWorkDeptFeeChkList_JKSQSH.Handle;
      end;

    174:  //借款申请单付款(对私)
      begin
        if frmWorkDeptFeeList_YGXYSCX = nil then
        begin
          frmWorkDeptFeeList_YGXYSCX := TfrmWorkDeptFeeList_YGXYSCX.Create(application.MainForm);
          with frmWorkDeptFeeList_YGXYSCX do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeList_YGXYSCX.BringToFront;
       //句柄
        mnewHandle := frmWorkDeptFeeList_YGXYSCX.Handle;
      end;

    175: //现金管理对私
      begin
        if FrmWorkDeptList_XJGL = nil then
        begin
          FrmWorkDeptList_XJGL := TFrmWorkDeptList_XJGL.Create(application.MainForm);
          with FrmWorkDeptList_XJGL do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
          end;
        end
        else
          FrmWorkDeptList_XJGL.BringToFront;
       //句柄
        mnewHandle := FrmWorkDeptList_XJGL.Handle;
      end;

    18:  //快递信息登记
      begin
        if frmKDList = nil then
        begin
          frmKDList := TfrmKDList.Create(application.MainForm);
          with frmKDList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmKDList.BringToFront;
       //句柄
        mnewHandle := frmKDList.Handle;
      end;
    19:  //快递信息审核
      begin
        if frmKDChkList = nil then
        begin
          frmKDChkList := TfrmKDChkList.Create(application.MainForm);
          with frmKDChkList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmKDChkList.BringToFront;
       //句柄
        mnewHandle := frmKDChkList.Handle;
      end;
    20:  //快递信息查看个人、高权限
      begin
        if frmKDPersonList = nil then
        begin
          frmKDPersonList := TfrmKDPersonList.Create(application.MainForm);
          with frmKDPersonList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmKDPersonList.BringToFront;
       //句柄
        mnewHandle := frmKDPersonList.Handle;
      end;
    21:  //快递信息查看部门
      begin
        if frmKDDeptList = nil then
        begin
          frmKDDeptList := TfrmKDDeptList.Create(application.MainForm);
          with frmKDDeptList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmKDDeptList.BringToFront;
       //句柄
        mnewHandle := frmKDDeptList.Handle;
      end;

    22:   //组织评分列表
      begin
        if frmSYDeptView_PF = nil then
        begin
          frmSYDeptView_PF := TfrmSYDeptView_PF.Create(application.MainForm);
          with frmSYDeptView_PF do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmSYDeptView_PF.BringToFront;
       //句柄
        mnewHandle := frmSYDeptView_PF.Handle;
      end;

    23:   //个人年度考核评分登记
      begin
        if frmGRYearPFList = nil then
        begin
          frmGRYearPFList := TfrmGRYearPFList.Create(application.MainForm);
          with frmGRYearPFList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList.Handle;
      end;

    24:   //个人年度考核内部评分
      begin
        if frmGRYearPFList_NB = nil then
        begin
          frmGRYearPFList_NB := TfrmGRYearPFList_NB.Create(application.MainForm);
          with frmGRYearPFList_NB do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList_NB.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList_NB.Handle;
      end;

    25:   //个人年度考核外部登记
      begin
        if frmGRYearPFList_WB = nil then
        begin
          frmGRYearPFList_WB := TfrmGRYearPFList_WB.Create(application.MainForm);
          with frmGRYearPFList_WB do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList_WB.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList_WB.Handle;
      end;

    26:   //个人年度考核外部评分
      begin
        if frmGRYearPFList_WBPF = nil then
        begin
          frmGRYearPFList_WBPF := TfrmGRYearPFList_WBPF.Create(application.MainForm);
          with frmGRYearPFList_WBPF do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList_WBPF.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList_WBPF.Handle;
      end;

    27:   //个人年度考核总评分查询
      begin
        if frmGRYearPFList_ZPF = nil then
        begin
          frmGRYearPFList_ZPF := TfrmGRYearPFList_ZPF.Create(application.MainForm);
          with frmGRYearPFList_ZPF do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList_ZPF.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList_ZPF.Handle;
      end;

    28:   //分红档期登记
      begin
        if frmGRYearPFList_FHDQDJ = nil then
        begin
          frmGRYearPFList_FHDQDJ := TfrmGRYearPFList_FHDQDJ.Create(application.MainForm);
          with frmGRYearPFList_FHDQDJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList_FHDQDJ.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList_FHDQDJ.Handle;
      end;

    29:   //员工分红登记
      begin
        if frmGRYearPFList_YGFHDJ = nil then
        begin
          frmGRYearPFList_YGFHDJ := TfrmGRYearPFList_YGFHDJ.Create(application.MainForm);
          with frmGRYearPFList_YGFHDJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList_YGFHDJ.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList_YGFHDJ.Handle;
      end;

    30:   //员工年薪及工资登记
      begin
        if frmGRYearPFList_YGXZTJ = nil then
        begin
          frmGRYearPFList_YGXZTJ := TfrmGRYearPFList_YGXZTJ.Create(application.MainForm);
          with frmGRYearPFList_YGXZTJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList_YGXZTJ.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList_YGXZTJ.Handle;
      end;

    300:   //员工年薪及工资审核
      begin
        if frmGRYearPFList_YGXZFF = nil then
        begin
          frmGRYearPFList_YGXZFF := TfrmGRYearPFList_YGXZFF.Create(application.MainForm);
          with frmGRYearPFList_YGXZFF do
          begin
            caption := Trim(Title);
            Ftype := trim(DParameters1);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList_YGXZFF.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList_YGXZFF.Handle;
      end;

    31:  //员工薪资付款
      begin
        if frmGRYearPFList_YGXZFFCX = nil then
        begin
          frmGRYearPFList_YGXZFFCX := TfrmGRYearPFList_YGXZFFCX.Create(application.MainForm);
          with frmGRYearPFList_YGXZFFCX do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmGRYearPFList_YGXZFFCX.BringToFront;
       //句柄
        mnewHandle := frmGRYearPFList_YGXZFFCX.Handle;
      end;

    33:  //员工加薪登记
      begin
        if frmYGYPZZChkList_jiaxin = nil then
        begin
          frmYGYPZZChkList_jiaxin := TfrmYGYPZZChkList_jiaxin.Create(application.MainForm);
          with frmYGYPZZChkList_jiaxin do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_jiaxin.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_jiaxin.Handle;
      end;

    34:  //员工加薪审核
      begin
        if frmYGYPZZChkList_jiaxinSH = nil then
        begin
          frmYGYPZZChkList_jiaxinSH := TfrmYGYPZZChkList_jiaxinSH.Create(application.MainForm);
          with frmYGYPZZChkList_jiaxinSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_jiaxinSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_jiaxinSH.Handle;
      end;

    340:  //员工加薪完成查询
      begin
        if frmYGYPZZChkList_jiaxinCX = nil then
        begin
          frmYGYPZZChkList_jiaxinCX := TfrmYGYPZZChkList_jiaxinCX.Create(application.MainForm);
          with frmYGYPZZChkList_jiaxinCX do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_jiaxinCX.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_jiaxinCX.Handle;
      end;

    35:  //办公用品员工申请
      begin
        if frmYGYPZZChkList_BGYPSQ = nil then
        begin
          frmYGYPZZChkList_BGYPSQ := TfrmYGYPZZChkList_BGYPSQ.Create(application.MainForm);
          with frmYGYPZZChkList_BGYPSQ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_BGYPSQ.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_BGYPSQ.Handle;
      end;

    36:  //办公用品送审
      begin
        if frmYGYPZZChkList_BGYPSQSS = nil then
        begin
          frmYGYPZZChkList_BGYPSQSS := TfrmYGYPZZChkList_BGYPSQSS.Create(application.MainForm);
          with frmYGYPZZChkList_BGYPSQSS do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_BGYPSQSS.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_BGYPSQSS.Handle;
      end;

    360:  //办公用品采购
      begin
        if frmYGYPZZChkList_BGYPCG = nil then
        begin
          frmYGYPZZChkList_BGYPCG := TfrmYGYPZZChkList_BGYPCG.Create(application.MainForm);
          with frmYGYPZZChkList_BGYPCG do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_BGYPCG.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_BGYPCG.Handle;
      end;

    37:  //办公用品部门入库
      begin
        if frmYGYPZZChkList_BGYPBMRK = nil then
        begin
          frmYGYPZZChkList_BGYPBMRK := TfrmYGYPZZChkList_BGYPBMRK.Create(application.MainForm);
          with frmYGYPZZChkList_BGYPBMRK do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_BGYPBMRK.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_BGYPBMRK.Handle;
      end;

    38:  //办公用品部门库存
      begin
        if frmYGYPZZChkList_BGYPBMKC = nil then
        begin
          frmYGYPZZChkList_BGYPBMKC := TfrmYGYPZZChkList_BGYPBMKC.Create(application.MainForm);
          with frmYGYPZZChkList_BGYPBMKC do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_BGYPBMKC.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_BGYPBMKC.Handle;
      end;

    39:  //办公用品审核
      begin
        if frmYGYPZZChkList_BGYPSH = nil then
        begin
          frmYGYPZZChkList_BGYPSH := TfrmYGYPZZChkList_BGYPSH.Create(application.MainForm);
          with frmYGYPZZChkList_BGYPSH do
          begin
            caption := Trim(Title);
            FSQType := trim(DParameters2);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_BGYPSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_BGYPSH.Handle;
      end;

    41:  //办公用品入库
      begin
        if frmYGYPZZChkList_BGYPRK = nil then
        begin
          frmYGYPZZChkList_BGYPRK := TfrmYGYPZZChkList_BGYPRK.Create(application.MainForm);
          with frmYGYPZZChkList_BGYPRK do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_BGYPRK.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_BGYPRK.Handle;
      end;

    42:  //办公用品出库
      begin
        if frmYGYPZZChkList_BGYPCK = nil then
        begin
          frmYGYPZZChkList_BGYPCK := TfrmYGYPZZChkList_BGYPCK.Create(application.MainForm);
          with frmYGYPZZChkList_BGYPCK do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_BGYPCK.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_BGYPCK.Handle;
      end;

    43:  //办公用品总库存
      begin
        if frmYGYPZZChkList_BGYPKC = nil then
        begin
          frmYGYPZZChkList_BGYPKC := TfrmYGYPZZChkList_BGYPKC.Create(application.MainForm);
          with frmYGYPZZChkList_BGYPKC do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_BGYPKC.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_BGYPKC.Handle;
      end;

    44:  //员工年薪递增查询
      begin
        if frmYGYPZZChkList_NXZZJL = nil then
        begin
          frmYGYPZZChkList_NXZZJL := TfrmYGYPZZChkList_NXZZJL.Create(application.MainForm);
          with frmYGYPZZChkList_NXZZJL do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_NXZZJL.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_NXZZJL.Handle;
      end;

    45:  //公司车辆登记
      begin
        if frmYGYPZZChkList_CLDJ = nil then
        begin
          frmYGYPZZChkList_CLDJ := TfrmYGYPZZChkList_CLDJ.Create(application.MainForm);
          with frmYGYPZZChkList_CLDJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_CLDJ.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_CLDJ.Handle;
      end;

    46:  //车辆出车申请
      begin
        if frmYGYPZZChkList_CLSQDJ = nil then
        begin
          frmYGYPZZChkList_CLSQDJ := TfrmYGYPZZChkList_CLSQDJ.Create(application.MainForm);
          with frmYGYPZZChkList_CLSQDJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_CLSQDJ.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_CLSQDJ.Handle;
      end;

    47:  //车辆出车审核
      begin
        if frmYGYPZZChkList_CLSQSH = nil then
        begin
          frmYGYPZZChkList_CLSQSH := TfrmYGYPZZChkList_CLSQSH.Create(application.MainForm);
          with frmYGYPZZChkList_CLSQSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_CLSQSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_CLSQSH.Handle;
      end;

    48:  //车辆维修申请及提车
      begin
        if frmYGYPZZChkList_CLWX = nil then
        begin
          frmYGYPZZChkList_CLWX := TfrmYGYPZZChkList_CLWX.Create(application.MainForm);
          with frmYGYPZZChkList_CLWX do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_CLWX.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_CLWX.Handle;
      end;

    49:  //车辆维修审核
      begin
        if frmYGYPZZChkList_CLWXSH = nil then
        begin
          frmYGYPZZChkList_CLWXSH := TfrmYGYPZZChkList_CLWXSH.Create(application.MainForm);
          with frmYGYPZZChkList_CLWXSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_CLWXSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_CLWXSH.Handle;
      end;

    50:  //员工事务安排及回归
      begin
        if frmYGYPZZChkList_YGFJ = nil then
        begin
          frmYGYPZZChkList_YGFJ := TfrmYGYPZZChkList_YGFJ.Create(application.MainForm);
          with frmYGYPZZChkList_YGFJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_YGFJ.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_YGFJ.Handle;
      end;

    51:  //员工事务安排审核
      begin
        if frmYGYPZZChkList_YGFJSH = nil then
        begin
          frmYGYPZZChkList_YGFJSH := TfrmYGYPZZChkList_YGFJSH.Create(application.MainForm);
          with frmYGYPZZChkList_YGFJSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_YGFJSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_YGFJSH.Handle;
      end;

    510:  //员工事务安排查询
      begin
        if frmYGYPZZChkList_YGCX = nil then
        begin
          frmYGYPZZChkList_YGCX := TfrmYGYPZZChkList_YGCX.Create(application.MainForm);
          with frmYGYPZZChkList_YGCX do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_YGCX.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_YGCX.Handle;
      end;

    52:  //公司车辆行驶记录
      begin
        if frmYGYPZZChkList_CLCXJL = nil then
        begin
          frmYGYPZZChkList_CLCXJL := TfrmYGYPZZChkList_CLCXJL.Create(application.MainForm);
          with frmYGYPZZChkList_CLCXJL do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_CLCXJL.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_CLCXJL.Handle;
      end;

    53:  //公司规章制度公布栏
      begin
        if frmFileUp_ZZD = nil then
        begin
          frmFileUp_ZZD := TfrmFileUp_ZZD.Create(application.MainForm);
          with frmFileUp_ZZD do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmFileUp_ZZD.BringToFront;
       //句柄
        mnewHandle := frmFileUp_ZZD.Handle;
      end;

    54:  //内部信息发布登记
      begin
        if frmYGYPZZChkList_GBLYD = nil then
        begin
          frmYGYPZZChkList_GBLYD := TfrmYGYPZZChkList_GBLYD.Create(application.MainForm);
          with frmYGYPZZChkList_GBLYD do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_GBLYD.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_GBLYD.Handle;
      end;

    55:  //内部信息发布阅读
      begin
        if frmYGYPZZChkList_GBL = nil then
        begin
          frmYGYPZZChkList_GBL := TfrmYGYPZZChkList_GBL.Create(application.MainForm);
          with frmYGYPZZChkList_GBL do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_GBL.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_GBL.Handle;
      end;

    57:  //会议室内容发布登记
      begin
        if frmYGYPZZChkList_GBLHY = nil then
        begin
          frmYGYPZZChkList_GBLHY := TfrmYGYPZZChkList_GBLHY.Create(application.MainForm);
          with frmYGYPZZChkList_GBLHY do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_GBLHY.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_GBLHY.Handle;
      end;

    58:  //会议室内容发布阅读
      begin
        if frmYGYPZZChkList_GBLSH = nil then
        begin
          frmYGYPZZChkList_GBLSH := TfrmYGYPZZChkList_GBLSH.Create(application.MainForm);
          with frmYGYPZZChkList_GBLSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_GBLSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_GBLSH.Handle;
      end;

    59:  //会议使用登记
      begin
        if frmYGYPZZChkList_HYSQDJ = nil then
        begin
          frmYGYPZZChkList_HYSQDJ := TfrmYGYPZZChkList_HYSQDJ.Create(application.MainForm);
          with frmYGYPZZChkList_HYSQDJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_HYSQDJ.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_HYSQDJ.Handle;
      end;

    60:  //会议使用审核
      begin
        if frmYGYPZZChkList_HYSQSH = nil then
        begin
          frmYGYPZZChkList_HYSQSH := TfrmYGYPZZChkList_HYSQSH.Create(application.MainForm);
          with frmYGYPZZChkList_HYSQSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_HYSQSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_HYSQSH.Handle;
      end;

    61:  //订单文件上传
      begin
        if frmFileUp_GSWJ = nil then
        begin
          frmFileUp_GSWJ := TfrmFileUp_GSWJ.Create(application.MainForm);
          with frmFileUp_GSWJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmFileUp_GSWJ.BringToFront;
       //句柄
        mnewHandle := frmFileUp_GSWJ.Handle;
      end;

    62:  //个人文件归档上传
      begin
        if frmFileUp_GRWJ = nil then
        begin
          frmFileUp_GRWJ := TfrmFileUp_GRWJ.Create(application.MainForm);
          with frmFileUp_GRWJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmFileUp_GRWJ.BringToFront;
       //句柄
        mnewHandle := frmFileUp_GRWJ.Handle;
      end;

    65:  //员工福利
      begin
        if frmYGYPZZChkList_SRTX = nil then
        begin
          frmYGYPZZChkList_SRTX := TfrmYGYPZZChkList_SRTX.Create(application.MainForm);
          with frmYGYPZZChkList_SRTX do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_SRTX.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_SRTX.Handle;
      end;

    66:  //公司图片资料库
      begin
        if frmFileUp_GSCW = nil then
        begin
          frmFileUp_GSCW := TfrmFileUp_GSCW.Create(application.MainForm);
          with frmFileUp_GSCW do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmFileUp_GSCW.BringToFront;
       //句柄
        mnewHandle := frmFileUp_GSCW.Handle;
      end;

    67:  //生产工作汇报总结
      begin
        if frmYGYPZZChkList_SCHB = nil then
        begin
          frmYGYPZZChkList_SCHB := TfrmYGYPZZChkList_SCHB.Create(application.MainForm);
          with frmYGYPZZChkList_SCHB do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_SCHB.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_SCHB.Handle;
      end;

    68:  //生产工作汇报审核
      begin
        if frmYGYPZZChkList_SCHBSH = nil then
        begin
          frmYGYPZZChkList_SCHBSH := TfrmYGYPZZChkList_SCHBSH.Create(application.MainForm);
          with frmYGYPZZChkList_SCHBSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmYGYPZZChkList_SCHBSH.BringToFront;
       //句柄
        mnewHandle := frmYGYPZZChkList_SCHBSH.Handle;
      end;

    69: //领款申请登记
      begin
        if frmWorkDeptFeeListLKDJ = nil then
        begin
          frmWorkDeptFeeListLKDJ := TfrmWorkDeptFeeListLKDJ.Create(application.MainForm);
          with frmWorkDeptFeeListLKDJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeListLKDJ.BringToFront;
        mnewHandle := frmWorkDeptFeeListLKDJ.Handle;
      end;

    70: //领款申请审核
      begin
        if frmWorkDeptFeeListLKSH = nil then
        begin
          frmWorkDeptFeeListLKSH := TfrmWorkDeptFeeListLKSH.Create(application.MainForm);
          with frmWorkDeptFeeListLKSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeListLKSH.BringToFront;
        mnewHandle := frmWorkDeptFeeListLKSH.Handle;
      end;

    71: //领款申请付款
      begin
        if frmWorkDeptFeeListLKFK = nil then
        begin
          frmWorkDeptFeeListLKFK := TfrmWorkDeptFeeListLKFK.Create(application.MainForm);
          with frmWorkDeptFeeListLKFK do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeListLKFK.BringToFront;
        mnewHandle := frmWorkDeptFeeListLKFK.Handle;
      end;

    72: //费用报销登记
      begin
        if frmWorkDeptFeeListBXDJ = nil then
        begin
          frmWorkDeptFeeListBXDJ := TfrmWorkDeptFeeListBXDJ.Create(application.MainForm);
          with frmWorkDeptFeeListBXDJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeListBXDJ.BringToFront;
        mnewHandle := frmWorkDeptFeeListBXDJ.Handle;
      end;

    73: //费用报销审核
      begin
        if frmWorkDeptFeeListBXSH = nil then
        begin
          frmWorkDeptFeeListBXSH := TfrmWorkDeptFeeListBXSH.Create(application.MainForm);
          with frmWorkDeptFeeListBXSH do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeListBXSH.BringToFront;
        mnewHandle := frmWorkDeptFeeListBXSH.Handle;
      end;

    74: //费用报销核销
      begin
        if frmWorkDeptFeeListFKDJ = nil then
        begin
          frmWorkDeptFeeListFKDJ := TfrmWorkDeptFeeListFKDJ.Create(application.MainForm);
          with frmWorkDeptFeeListFKDJ do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeListFKDJ.BringToFront;
        mnewHandle := frmWorkDeptFeeListFKDJ.Handle;
      end;

    170:  //费用报销结存导出查询
      begin
        if frmWorkDeptFeeChkList_DC = nil then
        begin
          frmWorkDeptFeeChkList_DC := TfrmWorkDeptFeeChkList_DC.Create(application.MainForm);
          with frmWorkDeptFeeChkList_DC do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeChkList_DC.BringToFront;
       //句柄
        mnewHandle := frmWorkDeptFeeChkList_DC.Handle;
      end;

    76:  //费用支出汇总查询(对公)
      begin
        if frmWorkDeptFeeChkList_DGCX = nil then
        begin
          frmWorkDeptFeeChkList_DGCX := TfrmWorkDeptFeeChkList_DGCX.Create(application.MainForm);
          with frmWorkDeptFeeChkList_DGCX do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeChkList_DGCX.BringToFront;
       //句柄
        mnewHandle := frmWorkDeptFeeChkList_DGCX.Handle;
      end;

    77:  //员工绩效分数登记
      begin
        if frmWorkDeptFeeChkList_KF = nil then
        begin
          frmWorkDeptFeeChkList_KF := TfrmWorkDeptFeeChkList_KF.Create(application.MainForm);
          with frmWorkDeptFeeChkList_KF do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmWorkDeptFeeChkList_KF.BringToFront;
       //句柄
        mnewHandle := frmWorkDeptFeeChkList_KF.Handle;
      end;

    78: //系统提示
      begin
        if frmModulePromptList = nil then
        begin
          frmModulePromptList := TfrmModulePromptList.Create(application.MainForm);
          with frmModulePromptList do
          begin
            caption := Trim(Title);
            FormStyle := mstyle;
            windowState := mstate;
            BorderStyle := mborderstyle;
           //show;
          end;
        end
        else
          frmModulePromptList.BringToFront;
       //句柄
        mnewHandle := frmModulePromptList.Handle;

      end;
  end;

  Result := mnewHandle;
//  NewDllApp := Application;
end;
//===========================================================
  //建立数据库连接池
//===========================================================

function ConnData(): Boolean;
var
  IniFile: TIniFile;
begin
  try
    IniFile := TIniFile.Create(ExtractFilePath(Application.ExeName) + 'SYSTEMSET.INI');
    PicSvr := IniFile.ReadString('SERVER', '服务器地址', '127.0.0.1');
    UserDataFlag := IniFile.ReadString('SERVER', '服务器地址类型', '-1');
  finally
    IniFile.Free;
  end;

  if not Assigned(DataLink_WTOA) then
    DataLink_WTOA := TDataLink_WTOA.Create(Application);
  try
    with DataLink_WTOA.ADOLink do
    begin
      //if not Connected then
      begin
        Connected := false;
        ConnectionString := DConString;
        LoginPrompt := false;
        Connected := true;
      end;
    end;
    Result := true;
  except
    Result := false;
    application.MessageBox('数据库连接失败！', '错误', mb_Ok + MB_ICONERROR);
  end;
end;

//initialization
//  OldDllApp := Application;
//
//
//finalization
//  DataLink_WTOA.Free;
//  Application := OldDllApp;
initialization
  CoInitialize(nil);
  dxUnitsLoader.Initialize;


finalization
  DataLink_WTOA.Free;
  application := NewDllApp;
  dxUnitsLoader.Finalize;

end.

